Show / Hide Table of Contents

# Interface IEntity<TId>

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IEntity<TId>
        where TId : IEquatable<TId>

##### Type Parameters

Name | Description
--- | ---
TId |

### Properties

| Improve this Doc View Source

#### Id

Gets the unique identifier for this object.

##### Declaration

    TId Id { get; }

##### Property Value

Type | Description
--- | ---
TId |